=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

require 'uri'

module WeFitter
  class AppApi
    attr_accessor :api_client

    def initialize(api_client = ApiClient.default)
      @api_client = api_client
    end
    # Totals
    # Total values for calories, distance, steps, points and activity duration over all profiles in the app.
    # @param [Hash] opts the optional parameters
    # @return [Array<AppTotals>]
    def app_totals_list(opts = {})
      data, _status_code, _headers = app_totals_list_with_http_info(opts)
      data
    end

    # Totals
    # Total values for calories, distance, steps, points and activity duration over all profiles in the app.
    # @param [Hash] opts the optional parameters
    # @return [Array<(Array<AppTotals>, Fixnum, Hash)>] Array<AppTotals> data, response status code and response headers
    def app_totals_list_with_http_info(opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: AppApi.app_totals_list ...'
      end
      # resource path
      local_var_path = '/app/totals/'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = nil
      auth_names = ['BearerAdmin', 'BearerProfile']
      data, status_code, headers = @api_client.call_api(:GET, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'Array<AppTotals>')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: AppApi#app_totals_list\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
  end
end
